Index: c/src/lib/libbsp/m68k/mrm332/ChangeLog
===================================================================
--- c/src/lib/libbsp/m68k/mrm332/ChangeLog	(revision 162585601da3174dcb4200379bc39a42e4077e39)
+++ c/src/lib/libbsp/m68k/mrm332/ChangeLog	(revision 0b6d74d098ce3d5caa6b616b085919edf275f433)
@@ -1,2 +1,6 @@
+2002-11-04	Joel Sherrill <joel@OARcorp.com>
+
+	* console/sci.c, spurious/spinit.c: Removed warnings.
+
 2002-10-21	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
 
Index: c/src/lib/libbsp/m68k/mrm332/console/sci.c
===================================================================
--- c/src/lib/libbsp/m68k/mrm332/console/sci.c	(revision 162585601da3174dcb4200379bc39a42e4077e39)
+++ c/src/lib/libbsp/m68k/mrm332/console/sci.c	(revision 0b6d74d098ce3d5caa6b616b085919edf275f433)
@@ -37,4 +37,16 @@
 *
 * $Log$
+* Revision 1.1  2002/02/28 23:10:39  joel
+* 2002-02-28	Mike Panetta <ahuitzot@mindspring.com>
+*
+* 	* console/sci.c, console/sci.h,
+* 	console/console.c: Added new SCI driver.
+* 	* start/start.c: Removed file.
+* 	* start/start.S: New file, the asm portion of the updated start code.
+* 	* start/configure.am: Added start.S, removed start.c
+* 	* startup/start_c.c: New file, the C portion of the updated start code. 	Contains most of the code that was in the old start.c.
+* 	* startup/configure.am: Added start_c.c to C_FILES.
+* 	* include/bsp.h: Added include <rtems/bspIo.h>
+*
 *****************************************************************************/
 
@@ -109,6 +121,7 @@
 *****************************************************************************/
 
-//#include <stdlib.h>
 #include <bsp.h>
+#include <rtems/bspIo.h>
+#include <stdio.h>
 #include <rtems/libio.h>
 #include <libchip/serial.h>
@@ -159,17 +172,4 @@
   Section D - External Functions
 *****************************************************************************/
-
-void printf();
-void printk();
-
-#if 0 // Why are these here?  They are defined in unistd.h
-
-unsigned16 open();
-unsigned16 close();
-unsigned16 read();
-unsigned16 write();
-unsigned16 ioctl();
-
-#endif
 
 
@@ -991,5 +991,5 @@
 )
 {
-    rtems_status_code status;
+//     rtems_status_code status;
 
 //printk("%s\r\n", __FUNCTION__);
@@ -1644,4 +1644,5 @@
 ****************************************************************************/
 
+#if 0
 #define O_RDWR LIBIO_FLAGS_READ_WRITE           // dont like this but...
 
@@ -1669,4 +1670,5 @@
     return;
 }
+#endif
 
 
@@ -1682,16 +1684,16 @@
 void SciPrintStats ( void )
 {
-    printf("\r\n");
-
-    printf( "SYS_CLOCK is %2.6f Mhz\r\n\n", SYS_CLOCK / 1000000.0 );
-
-    printf( "Current baud rate is %d bps or %d cps\r\n\n", SciBaud, SciBaud / 10 );
-
-    printf( "SCI Uart chars in       %8d\r\n", SciBytesIn       );
-    printf( "SCI Uart chars out      %8d\r\n", SciBytesOut      );
-    printf( "SCI Uart framing errors %8d\r\n", SciErrorsFraming );
-    printf( "SCI Uart parity  errors %8d\r\n", SciErrorsParity  );
-    printf( "SCI Uart overrun errors %8d\r\n", SciErrorsOverrun );
-    printf( "SCI Uart noise   errors %8d\r\n", SciErrorsNoise   );
+    printk("\r\n");
+
+    printk( "SYS_CLOCK is %2.6f Mhz\r\n\n", SYS_CLOCK / 1000000.0 );
+
+    printk( "Current baud rate is %d bps or %d cps\r\n\n", SciBaud, SciBaud / 10 );
+
+    printk( "SCI Uart chars in       %8d\r\n", SciBytesIn       );
+    printk( "SCI Uart chars out      %8d\r\n", SciBytesOut      );
+    printk( "SCI Uart framing errors %8d\r\n", SciErrorsFraming );
+    printk( "SCI Uart parity  errors %8d\r\n", SciErrorsParity  );
+    printk( "SCI Uart overrun errors %8d\r\n", SciErrorsOverrun );
+    printk( "SCI Uart noise   errors %8d\r\n", SciErrorsNoise   );
 
     return;
Index: c/src/lib/libbsp/m68k/mrm332/spurious/spinit.c
===================================================================
--- c/src/lib/libbsp/m68k/mrm332/spurious/spinit.c	(revision 162585601da3174dcb4200379bc39a42e4077e39)
+++ c/src/lib/libbsp/m68k/mrm332/spurious/spinit.c	(revision 0b6d74d098ce3d5caa6b616b085919edf275f433)
@@ -35,4 +35,5 @@
 {
   //int sp = 0;
+#if 0
   const char * const VectDescrip[] = {
     _Spurious_Error_[0],   _Spurious_Error_[0],  _Spurious_Error_[1], 
@@ -58,4 +59,5 @@
     _Spurious_Error_[27], _Spurious_Error_[27], _Spurious_Error_[27], 
     _Spurious_Error_[27], _Spurious_Error_[28]};
+#endif
 
   //asm volatile ( "movea.l   %%sp,%0 " : "=a" (sp) : "0" (sp) );
